<?php

// ini_set("memory_limit", "3072M");
require_once './protected/common.php';

header("Cache-control: private");
header("Content-type: text/html; charset=" . DEFAULT_CHARSET);

$helper = new RouterHelper();

$className = $helper->getClassName();
$funcName = $helper->getFunName();

define('CONTROLLER_NAME', $className);
define('ACTION_NAME', $funcName);

$is_ajax = $_GET['_from'] == 'ajax';
$actionName = "action{$funcName}";
// 如果带有doc参数则会转化为文档模式
$helper->genDoc($className, $actionName);
if (class_exists($className)) {
    $oClass = new $className();
} else {
    $msg = "class {$className} is not exist.";
    if ($is_ajax) {
        $helper->error($actionName, $msg);
    } else {
        $objBaseController = new BaseController(true);
        $objBaseController->go404();
    }
}

if (method_exists($oClass, $actionName)) {
    $args = $_REQUEST;
    $data = $oClass->$actionName($args);
    Response::success($data);
} else {
    $msg = "method {$actionName} is not exist.";
    if ($is_ajax) {
        $helper->error($actionName, $msg);
    } else {
        $objBaseController = new BaseController(true);
        $objBaseController->go404();
    }
}






